-------------------------------------------------------------------------------
--|> INIT
-- Initialization of libs and gloabls
-------------------------------------------------------------------------------
weizPVP = LibStub("AceAddon-3.0"):NewAddon("weizPVP", "AceConsole-3.0", "AceEvent-3.0", "AceTimer-3.0")
local SM = LibStub:GetLibrary("LibSharedMedia-3.0")
-- local LDDI = LibStub:GetLibrary("LibDDI-1.0")

-------------------------------------------------------------------------------
--|> INIT OPTIONS TABLE AND ADDON SETTINGS
-------------------------------------------------------------------------------
--> Version
weizPVP.Version = "1.71-beta1"

--> Addon
weizPVP.Addon = {}
weizPVP.Addon.Enabled = true

--> Options
weizPVP.Options = {}
weizPVP.Options.DB_VERSION = "2.0"
weizPVP.Options.Sorting = {}
weizPVP.Options.Frames = {}
weizPVP.Options.Frames.Scroll = {}
weizPVP.Options.Frames.List = {}
weizPVP.Options.Frames.Header = {}
weizPVP.Options.Frames.Footer = {}
weizPVP.Options.Bars = {}
weizPVP.Options.StealthAlert = {}
weizPVP.Options.Crosshair = {}
weizPVP.Options.Bounties = {}
weizPVP.Options.WorldRaider = {}
weizPVP.Options.Optimizer = {}
weizPVP.Options.Display = {}
weizPVP.Options.AudioAlerts = {}
weizPVP.Display = {}

--> Player Data Tables
weizPVP.PlayerDB = {} --> DB of all recorded players
weizPVP.PlayerActiveCache = {} --> Cache of players while they are still could be on the nearby list.

--> Saved Variables and profile
weizPVP.db = {}
weizPVP.db.profile = {}

-------------------------------------------------------------------------------
--|> SHARED MEDIA ASSETS
-------------------------------------------------------------------------------
--> Status Bars
SM:Register("STATUSBAR", "weizPAK: StatusBar", [[Interface\Addons\weizPVP\Textures\bar-bg.tga]])
SM:Register("STATUSBAR", "weizPAK: StatusBar-Highlight", [[Interface\Addons\weizPVP\Textures\bar-highlight.tga]])

--> Bakgrounds
SM:Register("BACKGROUND", "weizPAK: Background", [[Interface\Addons\weizPVP\Textures\white16x16.tga]])
SM:Register("BACKGROUND", "weizPAK: Bar-BG", [[Interface\Addons\weizPVP\Textures\bar-bg.tga]])

--> Borders
SM:Register("BORDER", "weizPAK: Border", [[Interface\Addons\weizPVP\Textures\white16x16.tga]])

--> Fonts
SM:Register("FONT", "Roboto Condensed Bold", [[Interface\Addons\weizPVP\Fonts\RobotoCondensed-Bold.ttf]])
SM:Register("FONT", "Roboto Condensed BoldItalic", [[Interface\Addons\weizPVP\Fonts\RobotoCondensed-BoldItalic.ttf]])
SM:Register("FONT", "Accidental Presidency", [[Interface\Addons\weizPVP\Fonts\Accidental-Presidency.ttf]])
SM:Register("FONT", "Accidental Presidency Italic", [[Interface\Addons\weizPVP\Fonts\Accidental-Presidency-Italic.ttf]])

--> Sounds
SM:Register("SOUND", "weizPVP: Notice 1", [[Interface\Addons\weizPVP\Sounds\notice-1.ogg]])
SM:Register("SOUND", "weizPVP: Notice 2", [[Interface\Addons\weizPVP\Sounds\notice-2.ogg]])
SM:Register("SOUND", "weizPVP: Notice 3", [[Interface\Addons\weizPVP\Sounds\notice-3.ogg]])
SM:Register("SOUND", "weizPVP: Warning 1", [[Interface\Addons\weizPVP\Sounds\warning-1.ogg]])
SM:Register("SOUND", "weizPVP: Warning 2", [[Interface\Addons\weizPVP\Sounds\warning-2.ogg]])
